# Constant Field Values

## Contents

- org.pushingpixels.*

## org.pushingpixels.*

org.pushingpixels.flamingo.api.bcb.JBreadcrumbBar<T>
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"BreadcrumbBarUI"`

org.pushingpixels.flamingo.api.common.CommandToggleButtonGroup
Modifier and Type
Constant Field
Value
`public static final String`
`SELECTED_PROPERTY`
`"selected"`
org.pushingpixels.flamingo.api.common.JCommandButton
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"CommandButtonUI"`
org.pushingpixels.flamingo.api.common.JCommandButtonPanel
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"CommandButtonPanelUI"`
org.pushingpixels.flamingo.api.common.JCommandButtonStrip
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"CommandButtonStripUI"`
org.pushingpixels.flamingo.api.common.JCommandMenuButton
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"CommandMenuButtonUI"`
org.pushingpixels.flamingo.api.common.JCommandToggleButton
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"CommandToggleButtonUI"`
org.pushingpixels.flamingo.api.common.JCommandToggleMenuButton
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"CommandToggleMenuButtonUI"`
org.pushingpixels.flamingo.api.common.JScrollablePanel<T>
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"ScrollablePanelUI"`

org.pushingpixels.flamingo.api.common.popup.JCommandPopupMenu
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"CommandPopupMenuUI"`
org.pushingpixels.flamingo.api.common.popup.JPopupPanel
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"PopupPanelUI"`
org.pushingpixels.flamingo.api.common.popup.PopupPanelManager.PopupEvent
Modifier and Type
Constant Field
Value
`public static final int`
`POPUP_HIDDEN`
`101`
`public static final int`
`POPUP_SHOWN`
`100`

org.pushingpixels.flamingo.api.ribbon.AbstractRibbonBand<T>
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"RibbonBandUI"`
org.pushingpixels.flamingo.api.ribbon.JRibbon
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_APPLICATION_ICON`
`"ribbon.icon"`
`public static final String`
`PROPERTY_APPLICATION_MENU`
`"applicationMenu"`
`public static final String`
`PROPERTY_APPLICATION_MENU_KEY_TIP`
`"applicationMenuKeyTip"`
`public static final String`
`PROPERTY_APPLICATION_MENU_RICH_TOOLTIP`
`"applicationMenuRichTooltip"`
`public static final String`
`PROPERTY_MINIMIZED`
`"minimized"`
`public static final String`
`PROPERTY_SELECTED_TASK`
`"selectedTask"`
`public static final String`
`uiClassID`
`"RibbonUI"`
org.pushingpixels.flamingo.api.ribbon.JRibbonComponent
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"RibbonComponentUI"`
org.pushingpixels.flamingo.api.ribbon.RibbonContextualTaskGroup
Modifier and Type
Constant Field
Value
`public static final double`
`HUE_ALPHA`
`0.25`

org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI
Modifier and Type
Constant Field
Value
`public static final String`
`DONT_DISPOSE_POPUPS`
`"flamingo.internal.commandButton.ui.dontDisposePopups"`
`public static final String`
`EMULATE_SQUARE_BUTTON`
`"flamingo.internal.commandButton.ui.emulateSquare"`
org.pushingpixels.flamingo.internal.ui.common.JRichTooltipPanel
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"RichTooltipPanelUI"`

org.pushingpixels.flamingo.internal.ui.common.popup.BasicCommandPopupMenuUI
Modifier and Type
Constant Field
Value
`public static final String`
`FORCE_ICON`
`"flamingo.internal.commandButtonLayoutManagerMedium.forceIcon"`
org.pushingpixels.flamingo.internal.ui.common.popup.JColorSelectorComponent
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"ColorSelectorComponentUI"`
org.pushingpixels.flamingo.internal.ui.common.popup.JColorSelectorPanel
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"ColorSelectorPanelUI"`

org.pushingpixels.flamingo.internal.ui.ribbon.BasicBandControlPanelUI
Modifier and Type
Constant Field
Value
`public static final String`
`BOTTOM_ROW`
`"flamingo.internal.ribbonBandControlPanel.bottomRow"`
`public static final String`
`MID_ROW`
`"flamingo.internal.ribbonBandControlPanel.midRow"`
`public static final String`
`TOP_ROW`
`"flamingo.internal.ribbonBandControlPanel.topRow"`
org.pushingpixels.flamingo.internal.ui.ribbon.BasicFlowBandControlPanelUI
Modifier and Type
Constant Field
Value
`public static final String`
`BOTTOM_ROW`
`"flamingo.internal.ribbonBandControlPanel.bottomRow"`
`public static final String`
`MID_ROW`
`"flamingo.internal.ribbonBandControlPanel.midRow"`
`public static final String`
`TOP_ROW`
`"flamingo.internal.ribbonBandControlPanel.topRow"`
org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI
Modifier and Type
Constant Field
Value
`public static final String`
`HELP_PANEL_COMPONENTS`
`"HelpPanelComponents"`
`public static final String`
`IS_USING_TITLE_PANE`
`"ribbon.internal.isUsingTitlePane"`
org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI.TaskToggleButtonsHostPanel
Modifier and Type
Constant Field
Value
`public static final String`
`IS_SQUISHED`
`"flamingo.internal.ribbon.taskToggleButtonsHostPanel.isSquished"`
org.pushingpixels.flamingo.internal.ui.ribbon.JBandControlPanel
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"BandControlPanelUI"`
org.pushingpixels.flamingo.internal.ui.ribbon.JFlowBandControlPanel
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"FlowBandControlPanelUI"`
org.pushingpixels.flamingo.internal.ui.ribbon.JRibbonGallery
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"RibbonGalleryUI"`
org.pushingpixels.flamingo.internal.ui.ribbon.JRibbonRootPane
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"RibbonRootPaneUI"`
org.pushingpixels.flamingo.internal.ui.ribbon.JRibbonTaskToggleButton
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"RibbonTaskToggleButtonUI"`

org.pushingpixels.flamingo.internal.ui.ribbon.appmenu.JRibbonApplicationMenuButton
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"RibbonApplicationMenuButtonUI"`
org.pushingpixels.flamingo.internal.ui.ribbon.appmenu.JRibbonApplicationMenuPopupPanel
Modifier and Type
Constant Field
Value
`public static final String`
`uiClassID`
`"RibbonApplicationMenuPopupPanelUI"`